import Foundation

struct PostSettingsFile {

    /// The number of posts to show in a single page of the news feed
    let postsPerPage: Int

    /// The maximum width of the main content
    let contentWidth: Int

    let swiperCssFile: String?

    let swiperJsFile: String?

    let defaultCssFile: String?
}

extension PostSettingsFile: Codable { }

extension PostSettingsFile {

    static var `default`: PostSettingsFile {
        .init(postsPerPage: 25,
              contentWidth: 600,
              swiperCssFile: nil,
              swiperJsFile: nil,
              defaultCssFile: nil)
    }
}
